Subject: bug#44979: project-search fails with file-missing error

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Dec 2020 20:25:32 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Tue, 1 Dec 2020 18:12:20 +0200
> 
> On 01.12.2020 17:34, Eli Zaretskii wrote:
> > If we want to fix this in fileloop, I think it should be conditioned
> > on some variable, so that packages could opt-in to and opt-out of this
> > behavior.  I see no reason to assume that every application using
> > fileloop will always want to silently skip such files.
> 
> TBH, I'm okay with any kind of fix.

I'm okay with the patch you proposed, just let's add a variable that
can be used to disable the silent skipping of non-existing files.

And this probably needs a NEWS entry.